package com.ekexiu.portal.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey({"id"})
@Table
public class PartTimeJob {
	private String professorId;
	private String id;
	private String startMonth;
	private String stopMonth;
	private String company;
	private String title;
	private String descp;
	
	@Column(DE.id_32)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(DE.time_de)
	public String getStartMonth() {
		return startMonth;
	}
	
	public void setStartMonth(String startMonth) {
		this.startMonth = startMonth;
	}
	@Column(DE.Time_de)
	public String getStopMonth() {
		return stopMonth;
	}
	public void setStopMonth(String stopMonth) {
		this.stopMonth = stopMonth;
	}
	@Column(DE.id_32)
	public String getProfessorId() {
		return professorId;
	}
	public void setProfessorId(String professorId) {
		this.professorId = professorId;
	}
	@Column(DE.string_de)
	public String getCompany() {
		return company;
	}
	public void setCompany(String company) {
		this.company = company;
	}
	@Column(DE.string_de)
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	@Column(value=DE.String_de,dbType="TEXT")
	public String getDescp() {
		return descp;
	}
	public void setDescp(String descp) {
		this.descp = descp;
	}
	
}
